package com.s_cradle.lifeapp;

import com.nttdocomo.ui.*;

/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: Sophia Cradle, Inc.</p>
 *
 * @author YOSHIMURA Masaru
 * @version $Id$
 */
public class LoadPanel extends MemoryPanel implements ComponentListener{
  public LoadPanel(LifeGameApplication appli, LifeGame game) {
    super(appli, game);

    load();

    ListBox list = new ListBox(ListBox.SINGLE_SELECT,len);
    for(int i=0;i<len;i++){
      list.append(data[i].getName());
    }

    add(new Label("load from where?"));
    add(list);

    setComponentListener(this);
  }

  public void componentAction(Component source, int type, int param) {
    if(type == ComponentListener.SELECTION_CHANGED){
      game.setMatrix(data[param].getMatrix());
      appli.changeState(LifeGameApplication.STATE_TITLE);
    }
  }
}
